Doomsday Engine - Bug #1053

Feature # 1648 (Progressed): Complete vanilla DOOM emulation

Feature # 1603 (Progressed): Support for id Tech 1 map hacks
[Render hack] Icarus Alien Vanguard: Force-fields (scrolling masked middle texture)
2012-06-08 00:47 - direwolf95

Status: Closed Start date: 2012-06-08
Priority: High % Done: 100%
Assignee: skyjake

Category: Vanilla emulation

Target version: 2.3

Description

So I'm playing the first map, and for some reason the textures for transparent two sided walls are showing up as the sky texture. It's
the same for map 14.

It's also like this on maps that use a transparent textures like gates and forcefields. Boot up the Icarus Alien Vanguard Pwad with
Doom 2 and you will see what | mean after entering the ship and making it passed the first door, to your left and right you will see
both forcefield textures missing and the sky texture shows up on doors that use this texture.

| tried to provide some screenshots, but the screenshot taker isn't working, and | cannot find a directory they are in.

Labels: Doom, Addons, Render hack

Related issues:
Related to Bug #2368: [Render hack] Masked wall textures used for see-through... Closed 2019-12-13

Associated revisions

Revision ee94363f - 2019-12-13 14:14 - skyjake

Renderer: Icarus MAPO1 force fields not rendered

IssuelD #1053

History

#1 - 2012-08-18 15:04 - direwolf95

No texture packs are included, this is straight from the mod file itself. | prefer to keep things vanilla when running some Doom mods. (No extra texture
packs or addons.)

#2 - 2012-08-19 19:16 - danij

- labels: jDoom --> Doom, Addons

#3 - 2012-08-27 20:30 - danij

- labels: Doom, Addons --> Doom, Addons, Render hack
- summary: Mis-rendering of Textures Icarus: Alien Vanguard --> [Render hack] "Force-fields" in Icarus: Alien Vanguard

#4 - 2012-09-19 12:09 - direwolf95

Well, most of the other render hack issues where fixed, but this one still remains Open after a whole year now. It still is not fixed. | think | will stick with
Zdoom and Chocolate Doom. They seem to have the necessary support to run the mods | enjoy. Thanks for at least looking at this issue.

#5 - 2013-03-29 11:32 - skyjake

(originally posted by anonymous SF.net user)

Are you using a texture pack? I've had similar issues due to DHTP overriding custom textures in PWADs, regardless of load order.

#6 - 2013-10-09 07:01 - danij

This map hack is on my to-do list for 1.13 and will be supported in this release.

Note that the two ports you mentioned both use traditional DOOM software column renders. As such they don't have to do anything particularly

special to support such map hacks. The situation is very different for a GL renderer, which needs to introduce dedicated support mechanisms for this
purpose.
#7 - 2013-10-09 21:08 - danij
- assigned_to: Daniel Swanson
- Priority: 5 --> 7

#8 - 2013-10-18 14:44 - skyjake

- Category set to Vanilla emulation

#9 - 2013-10-22 14:38 - skyjake
- Parent task set to #1603

#10 - 2013-10-23 19:36 - skyjake
- Priority changed from High to Urgent

#11 - 2016-03-27 08:39 - skyjake
- Target version changed from 1.9.8 to Modding

#12 - 2017-03-16 17:45 - skyjake
- Priority changed from Urgent to High

#13 - 2017-04-03 18:41 - skyjake

- Target version changed from Modding to Vanilla/ Gameplay

#14 - 2019-11-29 23:06 - skyjake
- Assignee deleted (danij)

#15 - 2019-12-13 14:15 - skyjake

- Status changed from New to Resolved

- Assignee set to skyjake

- Target version changed from Vanilla / Gameplay to 2.3

- % Done changed from 0 to 100

#16 - 2019-12-13 14:15 - skyjake

- Related to Bug #2368: [Render hack] Masked wall textures used for see-through walls/windows (e.g., TNT map02) added

#17 - 2019-12-31 09:59 - skyjake

- Subject changed from [Render hack] "Force-fields" in Icarus: Alien Vanguard to [Render hack] Icarus Alien Vanguard: Force-fields (scrolling masked

middle texture)

#18 - 2020-12-08 08:27 - skyjake

- Status changed from Resolved to Closed
